package educacion;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class EjemploBean {

	private String uRL;
	private String definicion;
	private Connection con=null;
	private String url = "jdbc:mysql://localhost:3306/formacionprofesorado?user=root&password=lafuisek";
	
	/**
	 * Funcion que introduce la url adecuada para conectarse a la base de datos
	 */
	public EjemploBean() {}
		
	/**
	 * Funcion que se conecta a la base de datos para obtener la url del ejemplo que 
	 * esta relacionada con esa tactica
	 * @param idTactica, identificador de la tactica con la que esta relacionado el ejemplo
	 * @return String que corresponde a la url del ejemplo
	 */
	public String getUrl(int idTactica) {
		
		if(con==null){
			try{
				Class.forName("org.gjt.mm.mysql.Driver");
			}catch(Exception e){
				System.out.println("No se ha encontrado el driver JDBC");
			}
		}
				
		try {
			
			con=DriverManager.getConnection(url);
			Statement st=con.createStatement();
				
			String consulta="SELECT url FROM ejemplo WHERE idTactica ="+idTactica+";";
			ResultSet rs=st.executeQuery(consulta);
				
			rs.beforeFirst();
			while(rs.next()){
				uRL=rs.getString("url");
			}

			con.close();
			con=null;
				
		}catch(SQLException e){System.err.println();}
			
		return uRL;
	}

	/**
	 * Funcion donde almacenamos la url del ejemplo
	 * @param url, String que contiene la url del ejemplo
	 */
	public void setUrl(String url) {
		this.uRL = url;
	}
	
	/**
	 * Funcion que se conecta a la base de datos para conseguir la descripcion del
	 * ejemplo que esta relacionado con la tactica seleccionada
	 * @param idTactica, int que corresponde al identificador de la tactica con la que esta
	 * relacionado el ejemplo
	 * @return String, que correspondera a la descripcion del ejemplo
	 */
	public String getDefinicion(int idTactica) {
		
		if(con==null){
			try{
				Class.forName("org.gjt.mm.mysql.Driver");
			}catch(Exception e){
				System.out.println("No se ha encontrado el driver JDBC");
			}
		}
				
		try {
			
			con=DriverManager.getConnection(url);
			Statement st=con.createStatement();
				
			String consulta="SELECT descripcion FROM ejemplo WHERE idTactica ="+idTactica+";";
			ResultSet rs=st.executeQuery(consulta);
				
			rs.beforeFirst();
			while(rs.next()){
				definicion=rs.getString("descripcion");
			}
			con.close();
			con=null;
				
		}catch(SQLException e){System.err.println();}
			
		return definicion;
	}
	
	/**
	 * Funcion que recoge la descripcion del ejemplo seleccionado
	 * @param definicion, String que corresponde a la descripcion del ejemplo
	 */
	public void setDefinicion(String definicion) {
		this.definicion = definicion;
	}

}